apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  name: rhel-10-chocolate-quelea-20
  namespace: default
spec:
  dataVolumeTemplates:
    - metadata:
        name: rhel-10-chocolate-quelea-20-volume
      spec:
        sourceRef:
          kind: DataSource
          name: rhel10
          namespace: openshift-virtualization-os-images
        storage:
          resources:
            requests:
              storage: 30Gi
          storageClassName: hostpath-csi-basic
    - metadata:
        name: dv-rhel-10-chocolate-quelea-20-disk-olive-whitefish-63-05dan7
      spec:
        source:
          blank: {}
        storage:
          resources:
            requests:
              storage: 30Gi
          accessModes:
            - ReadWriteOnce
          volumeMode: Filesystem
          storageClassName: hostpath-csi-basic
  instancetype:
    name: u1.medium
  preference:
    name: rhel.10
  runStrategy: Always
  template:
    metadata:
      labels:
        network.kubevirt.io/headlessService: headless
    spec:
      domain:
        devices:
          autoattachPodInterface: false
          disks:
            - disk:
                bus: virtio
              name: disk-olive-whitefish-63
              bootOrder: 2
          interfaces:
            - masquerade: &ref_0 {}
              name: default
      networks:
        - name: default
          pod: {}
      subdomain: headless
      volumes:
        - dataVolume:
            name: rhel-10-chocolate-quelea-20-volume
          name: rootdisk
        - cloudInitNoCloud:
            userData: |
              #cloud-config
              chpasswd:
                expire: false
              password: 6ows-w2mh-kecj
              user: rhel
          name: cloudinitdisk
        - dataVolume:
            name: dv-rhel-10-chocolate-quelea-20-disk-olive-whitefish-63-05dan7
          name: disk-olive-whitefish-63
'':
  spec:
    template:
      spec:
        domain:
          devices:
            interfaces:
              - masquerade: *ref_0
                name: default
                bootOrder: 1

